Bug 180997 - [patch] Make emulators/qemu-devel build with PYTHON_DEFAULT_VERSION of 3+
[patch] Make emulators/qemu-devel build with PYTHON_DEFAULT_VERSION of 3+
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Juergen Lock
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 14:40 UTC by Nathan Whitehorn
Modified: 2013-08-02 20:00 UTC (History)
0 users

See Also:


Attachments
file.diff (572 bytes, patch)
2013-08-02 14:40 UTC, Nathan Whitehorn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Whitehorn freebsd_committer 2013-08-02 14:40:00 UTC
qemu-devel's configure script requires Python <= 2.7 but the Makefile has it use the default python. If the default python is python 3, it will fail.

Fix: Use only python up to 2.7 (patch).

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-08-02 15:36:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nox

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-08-02 19:51:00 UTC
Author: nox
Date: Fri Aug  2 18:50:52 2013
New Revision: 324173
URL: http://svnweb.freebsd.org/changeset/ports/324173

Log:
  - Fix build with PYTHON_DEFAULT_VERSION of 3+. [1]
  - Remove a double word in pkg-message.
  
  PR:		ports/180997 [1]
  Submitted by:	nwhitehorn

Modified:
  head/emulators/qemu-devel/Makefile
  head/emulators/qemu-devel/pkg-message

Modified: head/emulators/qemu-devel/Makefile
==============================================================================
--- head/emulators/qemu-devel/Makefile	Fri Aug  2 18:39:11 2013	(r324172)
+++ head/emulators/qemu-devel/Makefile	Fri Aug  2 18:50:52 2013	(r324173)
@@ -19,7 +19,7 @@ HAS_CONFIGURE=	yes
 USE_BZIP2=	yes
 USES=		gmake pkgconfig
 USE_PERL5_BUILD=	yes
-USE_PYTHON_BUILD=	yes
+USE_PYTHON_BUILD=	-2.7
 USE_GNOME+=	glib20
 PATCH_STRIP=	-p1
 MAKE_ENV+=	BSD_MAKE="${MAKE}"
@@ -214,6 +214,8 @@ CONFIGURE_ENV+=	COMPILER_PATH=${LOCALBAS
 MAKE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
 .endif
 
+CONFIGURE_ARGS+= --python=${PYTHON_CMD}
+
 # -lprocstat actually only _needs_ -lelf after r249666 or r250870 (MFC)
 # but it shouldn't matter much
 post-patch:

Modified: head/emulators/qemu-devel/pkg-message
==============================================================================
--- head/emulators/qemu-devel/pkg-message	Fri Aug  2 18:39:11 2013	(r324172)
+++ head/emulators/qemu-devel/pkg-message	Fri Aug  2 18:50:52 2013	(r324173)
@@ -150,7 +150,7 @@ processing error - resetting ehci HC
   otherwise getting used.  (Not that you should run malicious guests anyway,
   but this eleminates at least a known attack vector.)
 
-- qemu now has improved physical cdrom support, but still there still is at
+- qemu now has improved physical cdrom support, but still there is at
   least one known problem: you need to have the guest eject the disc if you
   want to change it/take it out, or otherwise the guest may continue using
   state (like size) of the old disc.  (You can also do like `change ide1-cd0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Juergen Lock freebsd_committer 2013-08-02 19:53:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!